Downgrade 16.0 to 15.2 Kodibuntu
#1
Is there anyway to do this? I can find a 14.1 imagine online but if I upgrade that I assume it will skip 15 and go straight to 16 Sad
Reply
#2
As fas as I can see, there no 15.2 in the ppa anymore: https://launchpad.net/~team-xbmc/+archive/ubuntu/ppa

Kodi 16.0 is stable now. The question might be, what exactly yourproblem with kodi 16 might be? Better to help things getting better as to use an outdated version.

If you want to use Kodi 15.2, you could go the OpenELEC way. That's on 6.0.1 which ships Kodi 15.2.
Reply
#3
I also need to downgrade from 16 to 15.2

HTPCs run openelec6.0.1, which is on 15.2, media server runs kodi on ubuntu to update the mysql db. Server updated to 16, so now the HTPC's are no longer seeing library updates.
Reply
#4
search this forum please, I have answered this a few days ago.
Reply
#5
(2016-02-27, 09:23)wsnipex Wrote: search this forum please, I have answered this a few days ago.

I remembered this, but I thought you linked to the stable ppa Wink

Here is an kodi-old/ppa:

https://launchpad.net/~team-xbmc/+archiv...u/kodi-old

and there you have it @ wormvortex
Reply
#6
Thanks wsnipex,

Found this thread, 261022 (thread)

Add repo kodi-old with sudo add-apt-repository ppa:team-xbmc/kodi-old , apt-get update , then apt-cache showpkg shows 15.2, and synaptic has both versions in the hstory.

Using package>force version however, doesn't seem to work? I can select the option, and select 15.2, but it doesn't actually do anything, am I missing a step?
Reply
#7
Please get us the output of:

Code:
apt-cache policy Kodi
Reply
#8
I had a working setup using Kodi 15.2, but after an update through Ubuntus software updater I got Kodi 16.0, and after this tvheadend addon v2.2.14 stopped working complaining about "lost connection". but I don't know how to downgrade kodi... I'll test the suggestions in this thread!
Reply
#9
ok, found the answer for my system.

DOWNGRADE KODI 16.0 TO 15.2 IN UBUNTU 15.10 INCL TVHEADEND:

$ sudo add-apt-repository ppa:team-xbmc/kodi-old
$ sudo apt-get update
$ apt-cache showpkg kodi
$ sudo apt-get install kodi=2:15.2~git20151101.0902-final-0wily kodi-bin=2:15.2~git20151101.0902-final-0wily
$ sudo apt-get install kodi-pvr-tvheadend-hts=2.1.18-2~wily kodi-pvr-hts=2.1.18-2~wily
$ sudo apt-mark hold kodi kodi-bin kodi-pvr-tvheadend-hts kodi-pvr-hts
Reply
#10
(2016-02-27, 09:48)DaVu Wrote:
(2016-02-27, 09:23)wsnipex Wrote: search this forum please, I have answered this a few days ago.

I remembered this, but I thought you linked to the stable ppa Wink

Here is an kodi-old/ppa:

https://launchpad.net/~team-xbmc/+archiv...u/kodi-old

and there you have it @ wormvortex
I think I need to downgrade from 16.1 to 15.2 as well. My Kodibuntu is intermittently experiencing sound with no video. I think I found a reference to this being the result of changes between 15 and 16 that have top do with video hardware acceleration. Thank you very much for posting where to get the 15 ppa.

While I am at it, an even bigger thanks for one of your posts that explained in detail how to go about updating ppa's and upgrading Kodi.. Without that post I never would have accomplished upgrading Kodibuntu from 14 to 16.even though 16 does not appear to be working for me.

Cheers.
Reply
#11
(2016-03-06, 00:22)hd789 Wrote: ok, found the answer for my system.

DOWNGRADE KODI 16.0 TO 15.2 IN UBUNTU 15.10 INCL TVHEADEND:

$ sudo add-apt-repository ppa:team-xbmc/kodi-old
$ sudo apt-get update
$ apt-cache showpkg kodi
$ sudo apt-get install kodi=2:15.2~git20151101.0902-final-0wily kodi-bin=2:15.2~git20151101.0902-final-0wily
$ sudo apt-get install kodi-pvr-tvheadend-hts=2.1.18-2~wily kodi-pvr-hts=2.1.18-2~wily
$ sudo apt-mark hold kodi kodi-bin kodi-pvr-tvheadend-hts kodi-pvr-hts
I would like to also thank you for this very useful post on the complete series of commands needed to downgrade Kodi. This is similar in nature to the post DaVu made that was of such great help to me.

Cheers
Reply
#12
is there any way i can upgrade to 16.1 i installed the sudo add-apt-repository ppa:team-xbmc/ppa but Krypton got installed.

Also can i run 16.1 on i386??
Reply
#13
(2016-09-23, 03:00)ed_davidson Wrote: is there any way i can upgrade to 16.1 i installed the sudo add-apt-repository ppa:team-xbmc/ppa but Krypton got installed.

not likely. apt-cache policy kodi

and yes, there are i386 packages
Reply
#14
Not sure what you mean. Please could you explain.
Reply
#15
I got it. I used this post to see what was going on.

266254 (thread)

Turns out I had the unstable ubuntu ppa:team-xbmc/unstable installed from the image i downloaded.

I had to remove that and install the stable one.

Thanks.

16.1 running great on my Dual core mac mini i386 Smile
Reply
 
Thread Rating:
  • 0 Vote(s) - 0 Average



Logout Mark Read Team Forum Stats Members Help
Downgrade 16.0 to 15.2 Kodibuntu00